#ifndef __UNIQUE_ID_H__
#define __UNIQUE_ID_H__

#include <stdint.h>

/**
 * @brief Get the device's unique 96 bit ID programmed by ST during manufacturing
 * @param high high word of ID
 * @param mid mid word of ID
 * @param low low word of ID
 */
void unique_id_get(uint32_t *high, uint32_t *mid, uint32_t *low);

#endif /* __UNIQUE_ID_H__ */
