#include <stm-periph/unique-id.h>

#define LOW_WORD_ADDR (0x1FFF7A10UL)
#define MID_WORD_ADDR (LOW_WORD_ADDR+4U)
#define HIGH_WORD_ADDR (LOW_WORD_ADDR+8U)

void unique_id_get(uint32_t *high, uint32_t *mid, uint32_t *low)
{
	if (!high || !mid || !low)
		return;

	*low = *((uint32_t *)LOW_WORD_ADDR);
	*mid = *((uint32_t *)MID_WORD_ADDR);
	*high = *((uint32_t *)HIGH_WORD_ADDR);
}
